# MikroTik RouterOS CHR configuration script for CCR2004-1G-12S+2XS
# Written by Zachary Duncan
# Date: 2025-06-016
# Description: Configuration for CHR Routers in GNS3 to simulate a CCR2004-1G-12S+2XS
# Instructions: Import this script into your MikroTik CHR instance to set up the interfaces to be named as per the CCR2004-1G-12S+2XS model.
#   If you are using an script to further automate the configuration, such as an exported config file, please adjust the script to remove `default-name=` checks.
#   and replace them with just `name=` to avoid issues with the default names being used in the script.
/interface ethernet
set [ find default-name=ether1 ] disable-running-check=no name=sfp-sfpplus1
set [ find default-name=ether2 ] disable-running-check=no name=sfp-sfpplus2
set [ find default-name=ether3 ] disable-running-check=no name=sfp-sfpplus3
set [ find default-name=ether4 ] disable-running-check=no name=sfp-sfpplus4
set [ find default-name=ether5 ] disable-running-check=no name=sfp-sfpplus5
set [ find default-name=ether6 ] disable-running-check=no name=sfp-sfpplus6
set [ find default-name=ether7 ] disable-running-check=no name=sfp-sfpplus7
set [ find default-name=ether8 ] disable-running-check=no name=sfp-sfpplus8
set [ find default-name=ether9 ] disable-running-check=no name=sfp-sfpplus9
set [ find default-name=ether10 ] disable-running-check=no name=sfp-sfpplus10
set [ find default-name=ether11 ] disable-running-check=no name=sfp-sfpplus11
set [ find default-name=ether12 ] disable-running-check=no name=sfp-sfpplus12
set [ find default-name=ether13 ] disable-running-check=no name=sfp28-1
set [ find default-name=ether14 ] disable-running-check=no name=sfp28-2
set [ find default-name=ether15 ] disable-running-check=no name=ether1
/port set 0 name=serial0
/system note set show-at-login=no
/system identity set name=GNS-CCR2004-1G-12S+2XS
/tool romon 
set enabled=yes
set secrets="gns3"