# MikroTik RouterOS CHR configuration script for RB5009UG+S+
# Written by Zachary Duncan
# Date: 2025-06-04
# Description: Configuration for CHR Routers in GNS3 to simulate a RB5009UG+S+
# Instructions: Import this script into your MikroTik CHR instance to set up the interfaces to be named as per the RB5009UG+S+ model.
#   If you are using an script to further automate the configuration, such as an exported config file, please adjust the script to remove `default-name=` checks.
#   and replace them with just `name=` to avoid issues with the default names being used in the script.
/interface ethernet
set [ find default-name=ether9 ] disable-running-check=no name=sfp-sfpplus1
/port set 0 name=serial0
/system note set show-at-login=no
/system identity set name=GNS-RB5009UG+S+
/tool romon set enabled=yes