# MikroTik GNS Configuration Script for CCR2004-1G-12S+2XS

**Author:** Zachary Duncan  
**Date:** 2025-06-02

---

## Overview

This script configures a MikroTik Cloud Hosted Router (CHR) instance to simulate the interface naming scheme of the **CCR2004-1G-12S+2XS** router model in GNS3 or similar virtual environments.

It renames the default ethernet interfaces to match the physical ports naming conventions found on the actual CCR2004-1G-12S+2XS hardware, including SFP+ and SFP28 ports, and configures the serial port name accordingly.


## Features

- Renames Ethernet interfaces `ether1` through `ether15` to appropriate SFP+, SFP28, and Ethernet port names.
- Sets serial port to `serial0`.
- Disables the login note display.
- Sets system identity to `GNS-CCR2004-1G-12S+2XS` for easy identification.

---

## Usage

Create a CHR instance in GNS3 with 15 interfaces, and then import and run `init.rsc`

If you use automation scripts or an exported configuration file, **replace any usage of** `default-name=` with `name=` for interfaces.

Later there will be a appliance file created for this.